<?php
/**
* Copyright (C) 2003  Matthieu MARY marym@ifrance-no_spam.com
* http://www.gnu.org/licenses/gpl.html
* for contact me: marym@ifrance-no_spam.com
*/
class specif {
	var $cSep;
	var $sEndline;
	var $bLinuxos;
	var $bUseragent;
	/**
	* builder
	* 
	* @public 
	* @param bool $ brealpath, optional, default value TRUE. do you wants to see relative path? (only need for windows users)
	* @type void
	*/
	function specif($brelativepath = true)
	{ 
		// linux os?
		$this->bLinuxos = ((preg_match("/Win/", $_ENV['OS']))?false:true); 
		// call from a user agent?
		$this->bUseragent = ((isset($_SERVER['HTTP_USER_AGENT']))?true:false);

		if ($this->bLinuxos) {
			$this->cSep = '/';
		} else {
			// windows os with a call from server?
			if ($this->bUseragent) {
				if (!$brelativepath) {
					$this->cSep = "\\";
				} else {
					$this->cSep = "/";
				} 
			} else {
				$this->cSep = "\\";
			} 
		} 
		if ($this->bUseragent) {
			$this->sEndline = "<BR>";
		} 
		if ($this->bLinuxos) {
			$this->sEndline .= "\n";
		} else {
			$this->sEndline .= "\r\n";
		} 
	} //specif
	/**
	* return the path delimiter
	* 
	* @public 
	* @type string
	*/
	function Path_delimiter()
	{
		return $this->cSep;
	} //Path_delimiter
	/**
	* return the endline delimiter
	* 
	* @public 
	* @type string
	*/
	function Endline()
	{
		return $this->sEndline;
	} //Endline
} // class specif

?>