<?
#################################################################################
#                                                                               #
# Mail Manage EX, Build 2.1.6                                                   #
# Written by Gregg Kenneth Jewell, Copyright  2002-2004                        #
#                                                                               #
# All settings can be controlled from the settings file.                        #
# There is no need to edit below this description.                              #
# For all features and instructions refer to the readme file                    #
#                                                                               #
# Although security features are implemented in this script, that               #
# does not guarantee these features will provide 100% security protection.      #
# Use at your own risk. Do not use this script to send sensitive                #
# data such as credit card information, social security numbers, etc.           #
#                                                                               #
#                                                                               #
#################################################################################

#################################################################################
#  EDIT AT YOUR OWN RISK                                                        #
#################################################################################

#===========================================================
# Register Globals
#===========================================================

$settings = $_REQUEST['settings'];
$refresh = $_REQUEST['refresh'];
$formrecipient = $_REQUEST['recipient'];
$EMAIL[0] = $_REQUEST['email'];
$EMAIL[1] = $_REQUEST['Email'];
$EMAIL[2] = $_REQUEST['E_mail'];
$EMAIL[3] = $_REQUEST['e_mail'];
$EMAIL[4] = $_REQUEST['email_address'];
$EMAIL[5] = $_REQUEST['Email_Address'];
$EMAIL[6] = $_REQUEST['Email_address'];

$ATTACH[0][0] = $_FILES['attach1']['name'];
$ATTACH[1][0] = $_FILES['attach2']['name'];
$ATTACH[2][0] = $_FILES['attach3']['name'];
$ATTACH[0][1] = $_FILES['attach1']['tmp_name'];
$ATTACH[1][1] = $_FILES['attach2']['tmp_name'];
$ATTACH[2][1] = $_FILES['attach3']['tmp_name'];

#===========================================================
# Check for Settings and Recipient
#===========================================================
header("Cache-control: private");
if(!$settings)
{
  exit ("<b>No settings were found for this form.</b>");
}

$include = @include($settings);
if (!$include)
 exit ("<b>Incorrect settings filename in your form or specified file does not exist.</b>");

if ($formrecipient)
 $recipient = $formrecipient;

#===========================================================
# Set Output Style
#===========================================================
if (!$font_size)
  $font_size = '11pt'; // Default

if (!$font_color)
  $font_color = '#000000'; // Default

if (!$font_weight)
  $font_weight = 'none'; // Default

if (!$font_family)
  $font_weight = 'arial'; // Default

$msg['style'] .= '<div style="margin-left:12px;font-family:'.$font_family.';font-size:'.$font_size.';color:'.$font_color.';font-weight:'.$font_weight.'">';

if (!$header)
 $msg['header'] = $msg['style'];
else
$msg['header'] = $header;

if (!$footer)
 $msg['footer'] = "</div><br><br>";
else
 $msg['footer'] = $footer;

#===========================================================
# Error Messages
#===========================================================
$msg['ipblocked'] = "<b>Your IP address has been blocked.</b>";
$msg['recent'] = "<b>Recent entry. New submissions are allowed every $interval minute(s).</b>";
$msg['norecipient'] = "<b>This email cannot be sent. No specified recipient.</b>";
$msg['required'] = "<b>The following field(s) are required to be filled in before submission:</b>";
$msg['confirmed'] = "<b>The following fields must be the same before submission:</b>";
$msg['extension'] = "<b>This exte:</b>";
$msg['formatted'] = "<b>The following field(s) are required to be filled in with valid format before submission:</b>";
$msg['flooderr'] = "There is an error with your Flood Control File.\r\nEither, the file name in the settings is incorrect or permissions are not set to 666.\r\n\r\nMail Manage EX";
$msg['iperr'] = "There is an error with your IP Address File.\r\nEither, the file name in the settings is incorrect or the file does not exist.\r\n\r\nMail Manage EX";
$msg['csverr'] = "There is an error with your CSV File.\r\nEither, the file name in the settings is incorrect, the file does not exist or permissions are not set to 666.\r\nr\nMail Manage EX";
$msg['filerr'] = "There is an error with your Flat File.\r\nEither, the file name in the settings is incorrect, the file does not exist or permissions are not set to 666.\r\nr\nMail Manage EX";

#===========================================================
# Check User's IP Address and Last Submission
#===========================================================
if ($flood_control)
{
  $user_ip = $_SERVER['REMOTE_ADDR'];
  $stamp = mktime();
  $secs = $interval * 60;

  @ $get=fopen($floodfile_name,'r');
  if (!$get and $senderrors == 'yes')
    mail($recipient,"Form Error",$msg['flooderr'],"From: \"Mail Manage EX Notifier\" <MMEX_Notifier@domain.com>");
  @ flock($get, LOCK_SH);
  $flooddata = @ fread($get,999999);
  $flooddata = explode("#",$flooddata);

  for ($x=0;$x<count($flooddata);$x++)
  {
  $line = explode("|",$flooddata[$x]);
   if ($user_ip == $line[0])
   {
     if (($stamp - $line[1]) < $secs)
  	  exit ($msg['header'] . $msg['recent'] . $msg['footer']);
   }
  }
  @ flock($get,LOCK_UN);
  @ fclose($get);
}

#===========================================================
# Check if User's IP Address is Allowed
#===========================================================
if ($ip_block)
{
  @ $read = fopen($ipfile_name,'r');
  if (!$read and $senderrors == 'yes')
   mail($recipient,"Form Error",$msg['iperr'],"From: \"Mail Manage EX Notifier\" <MMEX_Notifier@domain.com>");
  @ flock($read,LOCK_SH);
  @ $data = fread($read,filesize($ipfile_name));
  @ flock($read,LOCK_UN);
  @ fclose($read);

  $user_ip = $_SERVER['REMOTE_ADDR'];
  if(stristr($data,$user_ip))
    exit ($msg['header'] . $msg['ipblocked'] . $msg['footer']);
}

#===========================================================
# Post Values Depending on Php Version
#===========================================================

$_FORM = $_POST;
for($x=0;$x<count($EMAIL);$x++){if ($EMAIL[$x])$useremail = $EMAIL[$x];}
if (!$useremail)$useremail = $recipient;
if ($preview)
 $keepsettings = $settings;
$_FILEFORM = $_FORM;
$_DBASE = $_FORM;
$_CSVFORM = $_FORM;
$_HTMLEMAIL = $_FORM;

#===========================================================
# Locate SMTP Server for Mailing
#===========================================================
if ($SMTP_Server)
{
 ini_set('SMTP',$SMTP_Server);                  // CHANGES 'SMTP' IN PHP.INI
 ini_set('sendfrom_mail',$recipient);
}

#=======================================
# CHECK REQUIRED FIELDS
#=======================================
if ($required)
{
  $required = explode(",",$required);
  for($i=0;$i<count($required);$i++)
  {
	$Field = $required[$i];
	if(!$_FORM[$Field])
	{
	 $Field = str_replace("_"," ",$Field);
	 $Field = ucfirst($Field);
	 $Emptyfields .= "<li>$Field</li>";
	 if ($preview)
	  $Redfields .= "$Field,";
	}
  }
  if ($Emptyfields)
   $Errors = $msg['required'] . "<ul type=\"square\">" . $Emptyfields . "</ul><br>";
}


#===========================================================
# CHECK FIELDS FOR CONFIRMATION
#===========================================================
if ($confirm)
{
  $confirmed = explode(",",$confirm);
  for($i=0;$i<count($confirmed);$i+=2)
  {
	$Field1 = $confirmed[$i];
	$Field2 = $confirmed[$i+1];
	$FieldA = $_FORM[$Field1];
	$FieldB = $_FORM[$Field2];
	if ($FieldA != $FieldB)
	{
	  $Field1 = str_replace("_"," ",$Field1);
	  $Field1 = ucfirst($Field1);
	  $Field2 = str_replace("_"," ",$Field2);
	  $Field2 = ucfirst($Field2);
	  $Wrongfields .= "<li><b>$Field1</b> does not match <b>$Field2</b></li>";
	  if ($preview)
	    $Redfields .= "$Field1,$Field2";
    }
  }
  if ($Wrongfields and !$Errors)
   $Errors = $msg['confirmed'] . "<ul type=\"square\">" . $Wrongfields . "</ul><br>";
  else if ($Wrongfields and $Errors)
   $Errors .= "<br>" . $msg['confirmed'] . "<ul type=\"square\">" . $Wrongfields . "</ul><br>";
}

#=======================================
# CHECK FORMATTED FIELDS
#=======================================
if ($formatted)
{

  $formatted = explode(",",$formatted);
  for ($x=0;$x<count($formatted);$x++)
  {
    $Format = substr($formatted[$x],-1);
	$Field = substr($formatted[$x],0,-1);

	if ($Format == "L") // MINIMUM CHAR FORMAT
	{
	  $Length = substr($Field,-2);
      $Field = substr($Field,0,-2);
	  if (substr($Length,0,1) == "0")
	   $Length = substr($Length,-1);
	  if ($_FORM[$Field] > "")
	  {
        if(strlen($_FORM[$Field]) < $Length)
	    {
	      $Field = str_replace("_"," ",$Field);
		  $Field = ucfirst($Field);
	      $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(MINIMUM OF $Length CHARACTERS)</span>";
	      if ($preview)
	       $Redfields .= "$Field,";
		}
	  }
	}

	if ($Format == "J") // MAXIMUM CHAR FORMAT
	{
	  $Length = substr($Field,-2);
      $Field = substr($Field,0,-2);
	  if (substr($Length,0,1) == "0")
	   $Length = substr($Length,-1);
	  if ($_FORM[$Field] > "")
	  {
        if(strlen($_FORM[$Field]) > $Length)
	    {
	      $Field = str_replace("_"," ",$Field);
		  $Field = ucfirst($Field);
	      $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(MAXIMUM OF $Length CHARACTERS)</span>";
	      if ($preview)
	       $Redfields .= "$Field,";
		}
	  }
	}

	if ($Format == "@" and $_FORM[$Field] > "") // EMAIL FORMAT
	{
	  if(!eregi('^([_a-z0-9-]+)(\.[_a-z0-9-]+)*@([a-z0-9-]+)(\.[a-z0-9-]+)*(\.[a-z]{2,4})$',$_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(EMAIL ADDRESS)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}

	if ($Format == "*" and $_FORM[$Field] > "") // PHONE NUMBER FORMAT
	{
	  if (!eregi('([0-9]{3})-([0-9]{3})-([0-9]{4})', $_FORM[$Field]) and !eregi('([0-9]{3})\.([0-9]{3})\.([0-9]{4})', $_FORM[$Field]) and !eregi('([0-9]{3}) ([0-9]{3}) ([0-9]{4})', $_FORM[$Field]) and !eregi('(\([0-9]{3}\))-([0-9]{3})-([0-9]{4})', $_FORM[$Field]) and !eregi('(\([0-9]{3}\))\.([0-9]{3})\.([0-9]{4})', $_FORM[$Field]) and !eregi('(\([0-9]{3}\)) ([0-9]{3}) ([0-9]{4})', $_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(PHONE NUMBER)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}

	if ($Format == "Z" and $_FORM[$Field] > "") // ZIP CODE FORMAT
	{
	  if (!eregi('([0-9]{5})', $_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(ZIP CODE)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}

	if ($Format == "S" and $_FORM[$Field] > "") // STATE FORMAT
	{
	  if (!eregi('([a-zA-Z]{2})', $_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(STATE)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}

	if ($Format == "#" and $_FORM[$Field] > "") // NUMERIC ONLY FORMAT
	{
	  if (eregi('([a-zA-Z_\-)', $_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(NUMERIC ONLY)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}

	if ($Format == "A" and $_FORM[$Field] > "") // ALPHA ONLY FORMAT
	{
	  if (eregi('([0-9])', $_FORM[$Field]))
	  {
	   $Field = str_replace("_"," ",$Field);
	   $Field = ucfirst($Field);
	   $Incorrectfields .= "<li>$Field</li>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style=\"font-size:8pt\">(ALPHA ONLY)</span>";
	   if ($preview)
	    $Redfields .= "$Field,";
	  }
	}
  }
  if ($Incorrectfields and !$Errors)
   $Errors = $msg['formatted'] . "<ul type=\"square\">" . $Incorrectfields . "</ul><br>";
  else if ($Incorrectfields and $Errors)
   $Errors .= "<br>" . $msg['formatted'] . "<ul type=\"square\">" . $Incorrectfields . "</ul><br>";
}

if ($attachments and $attachments != "0"  and ($ATTACH[0][0] or $ATTACH[1][0] or $ATTACH[2][0]))
{
   for ($x=0;$x<($attachments);$x++)
   {
    $ext = explode(".",$ATTACH[$x][0]);
	$ext = strtolower($ext[1]);
    if ($ext)
	{
     if (!strstr($allowedExt,$ext))
     {
	  $Errors .= "<br><b><i>.$ext</i> is an invalid extension. The following extensions are allowed:</b><ul type=\"square\">";
	  $allowed = explode(",",$allowedExt);
	  for($x=0;$x<count($allowed);$x++)
	  {
	   $Errors .= "<li>.".$allowed[$x]."</li>";
	  }
	  $Errors .= "</ul><br>";
	}
     }
   }
}

#===========================================================
# Display Preview
#===========================================================
if ($preview and !$refresh)
{
 $form = "
 <b><u>Submission Preview</u></b><br><br>
 <form method=\"post\" action=\"".$PHP_SELF."\">
  <input type=\"hidden\" name=\"refresh\" value=\"refresh\">
  <input type=\"hidden\" name=\"settings\" value=\"".$keepsettings."\">
  <table style=\"font-family:$font_family;font-size:$font_size;\" cellspacing=1 cellpadding=2>
  ";

$Redfields = explode(",",$Redfields);
$flag = 0;

while (list ($key, $val) = each ($_FORM))
{
 if ($key != "settings" and $key != "refresh")
 {
  if ($val == "" and $no_answer > "")
    $val = "[no answer]";
  $key = stripslashes($key);
  $val = stripslashes($val);
  $val = strip_tags($val);
  $form .= "<input type=\"hidden\" name=\"".$key."\" value=\"".$val."\">";

  $key = ucfirst($key);              # CAPATALIZE FIRST LETTER
  $key = str_replace("_"," ",$key);  # REPLACE UNDERSCORE WITH SPACE

  for ($x=0;$x<count($Redfields)-1;$x++)
  {
   if ($key == $Redfields[$x])
   {
    $form .= "
	<tr><td style=\"color:red\"><b>$key</b>:</td><td>$val<br></td></tr>";
	$flag = 1;
   }
  }
  if ($flag != 1)
    $form .= "
   <tr><td><b>$key</b>:</td><td>$val<br></td></tr>";
  $flag = 0;
 }
}
  $form .= "
  <tr><td height=16 colspan=2></td></tr>";
  if (!$Errors)
   $form .= "
  <tr>
   <td>
    <input type=\"submit\" value=\"Submit\" style=\"font-family:$font_family;font-size:$font_size;border: solid #AAAAAA 1px; cursor:hand\">
   </td>
  </tr>";

  $form .= "
  </form></table>";
}

if ($Errors and !$preview)
 exit ($msg['header'].$Errors.$msg['footer']);
else if ($Errors and $preview and !$refresh)
 exit ($msg['header'].$Errors."<br>".$form .$msg['footer']);
else if ($preview and !$refresh)
 exit ($msg['header'].$form .$msg['footer']);


#########################################################################
# EMAIL FUNCTIONS                                                       #
#########################################################################
if ($send_type == 'email' or $send_type == 'emailfile'  or $send_type == 'emailcsv' or $send_type == 'emaildbase')
{
#===========================================================
# Get All Values from the Form Fields
#===========================================================
while (list ($key, $val) = each ($_FORM))
{
 if ($key != "settings" and $key != "refresh")
 {
  $key = stripslashes($key);
  $val = stripslashes($val);
  $val = strip_tags($val);
  if ($val == "" and $no_answer > "")
   $val = "[no answer]";
  $key = ucfirst($key);              # CAPATALIZE FIRST LETTER
  $key = str_replace("_"," ",$key);  # REPLACE UNDERSCORE WITH SPACE
  $html .= "<b>$key</b>: $val<br>";
  $txtbody .= "$key:  $val\r\n";
  $val = nl2br($val);
  $ehtml .= "<tr><td width=120 valign=top><font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">$key</font></td><td width=380 valign=top><font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">$val</font></td></tr>";
  $form .= "<b>$key</b>: $val<br>";
 }
}

#===========================================================
# Check for Recipient
#===========================================================
if (!$recipient)
  exit ($msg['header'] . $msg['norecipient'] . $msg['footer']);

#===========================================================
# Verify Subject
#===========================================================
if (!$subject)
   $subject = 'Form submission';

#===========================================================
# Get User's IP Address
#===========================================================
  $user_ip = $_SERVER['REMOTE_ADDR'];
  $txtbody .= "User's IP Address: $user_ip\n";

#===========================================================
# Get User's Browser Agent
#===========================================================
  $browser = $_SERVER['HTTP_USER_AGENT'];
  $txtbody .= "User's Browser: $browser\n";

#===========================================================
# Get Time Received
#===========================================================
  $timerec = date('M j, Y  @ g:i:s a',mktime(date('H')+$timezone));
  $txtbody .= "Time Received: $timerec\n";

#===========================================================
# Email Templates
#===========================================================
$textbody = "
THANK YOU FOR CHOOSING MAIL MANAGE EX!
#==========================================\n
Dear Admin,
This is a notice that a new submission has been generated by Mail Manage EX.\n
***Form Results***\n
$txtbody
Sincerely,
Mail Manage EX\n
#==========================================
Copyright  2003-2004, Gregg Kenneth Jewell
";

if ($htmlemail)
{
 $handle = fopen($htmlemail_page,'r');
 $htmlbody = fread($handle,99999);
 fclose($handle);
 if (!strstr($htmlbody,'[ALL]'))
 {
  while(list($key,$val) = each($_HTMLEMAIL))
  {
   $insert = "[".$key."]";
   $htmlbody = str_replace($insert,$val,$htmlbody);
  }
 }
 else
  $htmlbody = str_replace('[ALL]',$html,$htmlbody);
}
else
{
$htmlbody = '
<html>
<head></head>
<xbody>
<table border="0" cellspacing="0" cellpadding="0" width="600">
  <tr>
    <td width="217" align="left">
     <a target="_blank"  href="http://www.arecaweb.com/php/mmex/mmex.html"><img src="http://www.arecaweb.com/php/mmex/i/logo_mmex.jpg" border="0" width=211 height=54></a></td>
    <td width="383" align="right" valign="bottom">
     <font color="#30A11E" size="2" face="Verdana, Arial, Helvetica, sans-serif"><strong>'.date('n-d-Y',mktime(date('H')+$timezone)).'</strong></font></td>
      </tr>
</table>

<table bgcolor="#F1F1F1" border="0" cellspacing="0" cellpadding="5" width="600">
  <tr>
    <td align="left" valign="middle">
     <strong><font color="#202020" size="1" face="Verdana, Arial, Helvetica, sans-serif">THANK YOU FOR CHOOSING MAIL MANAGE EX!</font></strong></td>
      </tr>
</table><br>

<table bgcolor="#F9F9F9" border="0" cellspacing="0" cellpadding="5" width="600">
  <tr>
    <td width="380" align="center" valign="middle">
     <img src="#"  width="250" height="1" border="0"></td>
    <td width="220" align="left" valign="top">
     <font color="#000000" size="2" face="Verdana, Arial, Helvetica, sans-serif">
<br>
<strong>'.date('M j, Y  @ g:i:s a',mktime(date('H')+$timezone)).'<br>
<font color="#30A11E">'.$user_ip.'</font></font></strong><br>
<font color="#000000" size="1" face="Verdana, Arial, Helvetica, sans-serif">'.$browser.'</font></td>
      </tr>
</table>

<table bgcolor="#F9F9F9" border="0" cellspacing="0" cellpadding="5" width="600">
  <tr>
    <td>
     <font color="#000000" size="2" face="Verdana, Arial, Helvetica, sans-serif">
Dear Admin,<br><br>
This is a notice that a new submission has been generated by Mail Manage EX.<br><br>
***Form Results***<br><br>
<table bgcolor="#F9F9F9" border="0" cellspacing="1" cellpadding="0" width="500">
'.$ehtml.'
</table><br><br>

<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
Please let us know if you have any questions!<br><br>
Sincerely,</font><br>
<font color="#30A11E"><strong><font size="2" face="Verdana, Arial, Helvetica, sans-serif">Mail Manage EX</font></strong></font><br></td>
      </tr>
</table><br>

<table bgcolor="#F1F1F1" border="0" cellspacing="0" cellpadding="5" width="600">
  <tr>
    <td align="left" valign="middle">
     <strong><font color="#202020" size="1" face="Verdana, Arial, Helvetica, sans-serif">Copyright &copy; 2003 - 2004, Gregg Kenneth Jewell.</font></strong></td>
      </tr>
</table>
<font face="Verdana, Arial, Helvetica, sans-serif" size=1>&nbsp;Generated by <a href="http://www.arecaweb.com/php/sm/index.html"><font color="blue">myManager</font></a> .:. Email Notification System</font>
</xbody>
</html>';
}

#===========================================================
# Put Header Information in Email
#===========================================================
$rand = md5(time());
$MimeBoundary = "FDSNOTIFIER". $rand;

$Headers = "From: $useremail\n";
$Headers .= "Reply-to: $useremail\n";
$Headers .= "Return-Path: $useremail\n";
if ($cc)
  $Headers .= "cc: $cc\n";
$Headers .= "X-Priority: 1\n"; 
$Headers .= "X-MSMail-Priority: High\n"; 
$Headers .= "X-Mailer: My PHP Mailer\n";
$Headers .= "MIME-Version: 1.0\r\n";
if ($attachments and $attachments != "0" and ($ATTACH[0][0] or $ATTACH[1][0] or $ATTACH[2][0]))
  $Headers .= "Content-Type: multipart/mixed; charset=\"iso-8859-1\"; boundary=\"$MimeBoundary\";\n\n";
else
  $Headers .= "Content-Type: multipart/alternative; charset=\"iso-8859-1\"; boundary=\"$MimeBoundary\";\n\n";
$Headers .= "This is a multi-part message in MIME format.\n\n";

if ($textemails == "1")
{
 $Content .= "--$MimeBoundary\n";
 $Content .= "Content-Type: text/plain; charset=\"iso-8859-1\"\n";
 $Content .= "Content-Transfer-Encoding: 8bit\n\n";
 $Content .= $textbody."\n\n";
}
if ($htmlemails == "1")
{
 $Content .= "--$MimeBoundary\n";
 $Content .= "Content-Type: text/html; charset=\"iso-8859-1\"\n";
 $Content .= "Content-Transfer-Encoding: 8bit\n\n";
 $Content .= $htmlbody."\n\n";
}
if ($attachments and $attachments != "0")
{
   for ($x=0;$x<($attachments);$x++)
   {
    $ext = explode(".",$ATTACH[$x][0]);
	$ext = strtolower($ext[1]);
	if (!$ext)$ext = "###";
    if (strstr($allowedExt,$ext))
	 $ValidExt = "yes";
    if ($ValidExt == "yes")
    {
        $TmpFile = "$attachdir/".$ATTACH[$x][0];
        @copy($ATTACH[$x][1],"$TmpFile");
		$fa = @fopen ($TmpFile,'r');
        $FileContent = @fread($fa,filesize($TmpFile));
        @fclose($fa);
        $FileContent = chunk_split(base64_encode($FileContent));
        
		$Content .= "--$MimeBoundary\n";
        $Content .= "Content-Type: application/octetstream;\n name=\"".$ATTACH[$x][0]."\"\n";
        $Content .= "Content-Transfer-Encoding: base64\n";
        $Content .= "Content-Disposition: attachment;\n filename=\"".$ATTACH[$x][0]."\"\n\n";
		$Content .= $FileContent."\n";
		@unlink($TmpFile);
	 }
	}
}
$Content .= "--$MimeBoundary--\n\n\n";


#===========================================================
# Send It Off
#===========================================================
mail($recipient, $subject, $Content, $Headers);


} // end $send_type

#########################################################################
# CSV-FILE FUNCTIONS                                                    #
#########################################################################
if ($send_type == 'csv' or $send_type == 'emailcsv')
{

$getdate = date('M j Y  @ g:i:s a',mktime(date('H')+$timezone));
$user_ip = $_SERVER['REMOTE_ADDR'];
$content = '';
$form = '';

while (list ($key, $val) = each ($_CSVFORM))
{
 if ($key != "settings" and $key != "refresh")
 {
  $key = stripslashes($key);
  $val = stripslashes($val);
  $val = strip_tags($val);
  $val = str_replace(",","",$val);
  $val = str_replace("\r\n"," ",$val);
  $val = str_replace("\n"," ",$val);
  if ($val == "" and $no_answer > "")
   $val = "[no answer]";
  $content .= "$val,";
  $form .= "<b>$key</b>: $val<br>";
 }
}
$content .= "$getdate,$user_ip\n";

@ $write = fopen($csvfile_name,'a');
if (!$write and $senderrors == 'yes')
  @mail($recipient,"Form Error",$msg['csverr'],"From: \"Mail Manage EX Notifier\" <MMEX_Notifier@domain.com>");
@ flock($write,LOCK_EX);
@ fwrite($write,$content);
@ flock($write,LOCK_UN);
@ fclose($write);

} // end $send_type

#########################################################################
# FLAT-FILE FUNCTIONS                                                   #
#########################################################################
if ($send_type == 'file' or $send_type == 'emailfile')
{

$getdate = date('M j, Y  @ g:i:s a',mktime(date('H')+$timezone));
$user_ip = $_SERVER['REMOTE_ADDR'];
$content = '';
$form = '';

while (list ($key, $val) = each ($_FILEFORM))
{
 if ($key != "settings" and $key != "refresh")
 {
  $key = stripslashes($key);
  $val = stripslashes($val);
  $val = strip_tags($val);
  $key = ucfirst($key);              # CAPATALIZE FIRST LETTER
  $key = str_replace("_"," ",$key);  # REPLACE UNDERSCORE WITH SPACE
  if ($val == "" and $no_answer > "")
   $val = "[no answer]";
  $content .= "$key: $val\r\n";
  $form .= "<b>$key</b>: $val<br>";
 }
}

$data .= "Received: " . $getdate . "\r\nIP: " . $user_ip . "\r\n" . $content . "\r\n========================================\r\n\r\n";

$write= @ fopen($flatfile_name,'a');
if (!$write and $senderrors == 'yes')
  mail($recipient,"Form Error",$msg['fileerr'],"From: \"Mail Manage EX Notifier\" <MMEX_Notifier@domain.com>");
@ flock($write,LOCK_EX);
@ fwrite($write,$data);
@ flock($write,LOCK_UN);
@ fclose($write);


} // end $send_type

#########################################################################
# DATABASE FUNCTIONS                                                    #
#########################################################################
if ($send_type == 'dbase' or $send_type == 'emaildbase')
{

#===========================================================
# Connect to Database
#===========================================================
$db_connect = mysql_connect("localhost", "$db_user", "$db_pass");
mysql_select_db("$db_name",$db_connect);

#===========================================================
# Get Form Results
#===========================================================
while (list ($key, $val) = each ($_DBASE))
{
 if ($key != "settings" and $key != "refresh")
 {
	$key = stripslashes($key);
	$val = stripslashes($val);
	$val = strip_tags($val);
	$key = ucfirst($key);              # CAPATALIZE FIRST LETTER
    $key = str_replace("_"," ",$key);  # REPLACE UNDERSCORE WITH SPACE
	$add .= $key . ',';
    $values .= "'" . $val . "',";
	$form .= "<b>$key</b>: $val<br>";
 }
}
if ($input_env_vars)
{
 $timestamp = date('M j, Y  @ g:i:s a',mktime(date('H')+$timezone));
 $user_ip = $_SERVER['REMOTE_ADDR'];
 $browser = $_SERVER['HTTP_USER_AGENT'];
 $add .= "timestamp,user_ip,browser";
 $values .= "'" . $timestamp . "','" . $user_ip ."','" . $browser . "'";
}
else
{
 $add = substr($add,0,-1);
 $values = substr($values,0,-1);
}

#===========================================================
# Store Values into Database
#===========================================================

$sql = "INSERT INTO $table_name ($add) VALUES ($values)";
$result = mysql_query($sql);
mysql_close($db_connect);

} // end $send_type

#########################################################################
# POST SUBMIT FUNCTIONS                                                 #
#########################################################################

#===========================================================
# Add Plug-In Functionality (plugins may be used later)
#===========================================================
if ($runplugin)
{
  if (file_exists($pluginfile))
   include($pluginfile);
}

#===========================================================
# Saves IP Address and Time to Flood File
#===========================================================
if ($flood_control)
{
$flooddata = $user_ip . "|" . $stamp . "#";

  @ $write=fopen($floodfile_name,'a');
  @ flock($write,LOCK_EX);
  @ fwrite($write,$flooddata);
  @ flock($write,LOCK_UN);
  @ fclose($write);
}

#===========================================================
# Auto Respond Information
#===========================================================
if ($auto_respond)
{
  if (!$auto_subject)
    $auto_subject = 'Thank you for your submission';
  if (!$auto_content)
	$auto_content = "Thank you for your submmission. We will contact you shortly.";
  $auto_headers = "From: $useremail\r\n";
  $auto_headers .= "MIME-Version: 1.0\r\n";
  $boundary = uniqid("MMEX208");
  $auto_headers .= "Content-Type: multipart/alternative" .
   "; boundary = $boundary\r\n\r\n";
  $auto_headers .= "This is a MIME encoded message.\r\n\r\n"; //message to people with clients who don't understand MIME
  //plain text version of message
  $auto_headers .= "--$boundary\r\n" .
   "Content-Type: text/plain; charset=ISO-8859-1\r\n" .
   "Content-Transfer-Encoding: 8bit\r\n\r\n";
  $auto_headers .= $auto_content;
  //HTML version of message
  $auto_headers .= "--$boundary\r\n" .
   "Content-Type: text/html; charset=ISO-8859-1\r\n" .
   "Content-Transfer-Encoding: 8bit\r\n\r\n";
  $auto_headers .= $auto_content;
    @mail($useremail,$auto_subject,"",$auto_headers);
}

#===========================================================
# Redirects or Outputs Thank You and Form Results
#===========================================================
if (!$redirect)
{
  if (!$thankyou)
    $thankyou = 'Thank you for your submission.';
  exit ($msg['header'] . "$thankyou<img style=\"position:absolute; right:3px; bottom:3px\" src=\"http://www.arecaweb.com/php/mmex/small_mmex.jpg\" alt=\"Mail Manage EX\">". $msg['footer']);
}
else
  header("Location: $redirect");
?>